package schema

import (
	"testing"

	"git.perx.ru/perxis/perxis-go/pkg/schema/field"
	"github.com/stretchr/testify/assert"
)

func TestSchema_Clone(t *testing.T) {
	f := New("a", field.String())
	f.ClearState()
	fld := f.Clone(false)
	assert.Nil(t, fld.State)
	f.EnableState()
	fld = f.Clone(false)
	assert.NotNil(t, fld.State)
}
